public interface InstanceGroupManagerListOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getId()
public abstract String getId()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
String |
The id. |
getIdBytes()
public abstract ByteString getIdBytes()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for id. |
getItems(int index)
public abstract InstanceGroupManager getItems(int index)A list of InstanceGroupManager resources.
repeated .google.cloud.compute.v1.InstanceGroupManager items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManager |
|
getItemsCount()
public abstract int getItemsCount()A list of InstanceGroupManager resources.
repeated .google.cloud.compute.v1.InstanceGroupManager items = 100526016;
| Returns | |
|---|---|
| Type | Description |
int |
|
getItemsList()
public abstract List<InstanceGroupManager> getItemsList()A list of InstanceGroupManager resources.
repeated .google.cloud.compute.v1.InstanceGroupManager items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<InstanceGroupManager> |
|
getItemsOrBuilder(int index)
public abstract InstanceGroupManagerOrBuilder getItemsOrBuilder(int index)A list of InstanceGroupManager resources.
repeated .google.cloud.compute.v1.InstanceGroupManager items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerOrBuilder |
|
getItemsOrBuilderList()
public abstract List<? extends InstanceGroupManagerOrBuilder> getItemsOrBuilderList()A list of InstanceGroupManager resources.
repeated .google.cloud.compute.v1.InstanceGroupManager items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.compute.v1.InstanceGroupManagerOrBuilder> |
|
getKind()
public abstract String getKind()Output only. The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
String |
The kind. |
getKindBytes()
public abstract ByteString getKindBytes()Output only. The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for kind. |
getNextPageToken()
public abstract String getNextPageToken()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public abstract ByteString getNextPageTokenBytes()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
getSelfLink()
public abstract String getSelfLink()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLink. |
getSelfLinkBytes()
public abstract ByteString getSelfLinkBytes()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLink. |
getWarning()
public abstract Warning getWarning()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
Warning |
The warning. |
getWarningOrBuilder()
public abstract WarningOrBuilder getWarningOrBuilder()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
WarningOrBuilder |
|
hasId()
public abstract boolean hasId()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the id field is set. |
hasKind()
public abstract boolean hasKind()Output only. The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the kind field is set. |
hasNextPageToken()
public abstract boolean hasNextPageToken()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the nextPageToken field is set. |
hasSelfLink()
public abstract boolean hasSelfLink()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLink field is set. |
hasWarning()
public abstract boolean hasWarning()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the warning field is set. |